import React from "react";
import { screen } from "@testing-library/react";
import { BrowserRouter } from "react-router-dom";
import { render, unmountComponentAtNode } from "react-dom";
import userEvent from "@testing-library/user-event";
import App from "../App";

let Conteneur = null;
beforeEach(() => {
  Conteneur = document.createElement("div");
  document.body.appendChild(Conteneur);
});

afterEach(() => {
  unmountComponentAtNode(Conteneur);
  Conteneur.remove();
  Conteneur = null;
});
describe("Test sur les route", () => {
  it("Route index", () => {
    render(
      <BrowserRouter>
        <App />
      </BrowserRouter>,
      Conteneur
    );
    const text = screen.getByTestId("indexRouteText");
    expect(text.textContent).toBe("Please enter the data url");
  });

  it("Mauvaise route", () => {
    render(
      <BrowserRouter>
        <App />
      </BrowserRouter>,
      Conteneur
    );
    const urlBar = screen.getByTestId("urlInput");
    userEvent.type(urlBar, "nodata");
    expect(urlBar).toHaveValue("nodata");
  });
});
